/// <reference types="react" />
import type { AssetCollection } from '../../contentful/types';
import { UseQueryResult } from './useQuery';
export type UseQueryAssetsResult = UseQueryResult<AssetCollection>;
/**
 * Queries the dataSource for assets matching the given query.
 */
export declare function useQueryAssets(query?: Record<string, any>, 
/** Overrides the dependency list to control when the query is re-run */
deps?: React.DependencyList): UseQueryAssetsResult;
